Package com.google.earth.kml._2

# Class NetworkLinkType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.FeatureType
com.google.earth.kml._2.NetworkLinkType

public class NetworkLinkType extends FeatureType
<p>Java class for NetworkLinkType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="NetworkLinkType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}FeatureType"> <sequence> <element name="refreshVisibility" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/> <element name="flyToView" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/> <choice minOccurs="0"> <element ref="{http://earth.google.com/kml/2.1}Link"/> <element name="Url" type="{http://earth.google.com/kml/2.1}LinkType"/> </choice> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Boolean`
  `flyToView`
  `protected LinkType`
  `link`
  `protected Boolean`
  `refreshVisibility`
  `protected LinkType`
  `url`

  ### Fields inherited from class com.google.earth.kml._2.FeatureType

  `address, description, lookAt, metadata, name, open, phoneNumber, region, snippet, styleSelector, styleUrl, timePrimitive, visibility`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkLinkType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LinkType`
  `getLink()`
  Gets the value of the link property.
  `LinkType`
  `getUrl()`
  Gets the value of the url property.
  `Boolean`
  `isFlyToView()`
  Gets the value of the flyToView property.
  `Boolean`
  `isRefreshVisibility()`
  Gets the value of the refreshVisibility property.
  `void`
  `setFlyToView(Boolean value)`
  Sets the value of the flyToView property.
  `void`
  `setLink(LinkType value)`
  Sets the value of the link property.
  `void`
  `setRefreshVisibility(Boolean value)`
  Sets the value of the refreshVisibility property.
  `void`
  `setUrl(LinkType value)`
  Sets the value of the url property.

  ### Methods inherited from class com.google.earth.kml._2.FeatureType

  `getAddress, getDescription, getLookAt, getMetadata, getName, getPhoneNumber, getRegion, getSnippet, getStyleSelector, getStyleUrl, getTimePrimitive, isOpen, isVisibility, setAddress, setDescription, setLookAt, setMetadata, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setStyleUrl, setTimePrimitive, setVisibility`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### refreshVisibility

    protected Boolean refreshVisibility

  - ### flyToView

    protected Boolean flyToView

  - ### link

    protected LinkType link

  - ### url

    protected LinkType url

- ## Constructor Details

  - ### NetworkLinkType

    public NetworkLinkType()

- ## Method Details

  - ### isRefreshVisibility

    public Boolean isRefreshVisibility()
    Gets the value of the refreshVisibility property.
    Returns:
      possible object is `Boolean`

  - ### setRefreshVisibility

    public void setRefreshVisibility(Boolean value)
    Sets the value of the refreshVisibility property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isFlyToView

    public Boolean isFlyToView()
    Gets the value of the flyToView property.
    Returns:
      possible object is `Boolean`

  - ### setFlyToView

    public void setFlyToView(Boolean value)
    Sets the value of the flyToView property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getLink

    public LinkType getLink()
    Gets the value of the link property.
    Returns:
      possible object is `LinkType`

  - ### setLink

    public void setLink(LinkType value)
    Sets the value of the link property.
    Parameters:
      `value` - allowed object is `LinkType`

  - ### getUrl

    public LinkType getUrl()
    Gets the value of the url property.
    Returns:
      possible object is `LinkType`

  - ### setUrl

    public void setUrl(LinkType value)
    Sets the value of the url property.
    Parameters:
      `value` - allowed object is `LinkType`